package com.zd.system.api.domain;

import com.zd.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

/**
 * 部门表 sys_dept
 *
 * @author zd
 */
public class SysDeptVO{
    private static final long serialVersionUID = 1L;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 父部门ID
     */
    private Long parentId;

    /**
     * 向上，向下操作 : 1是向上，2是向下
     */
    private Long upDownOper;

    /**
     * 教职工页面操作部门
     */
    private List<SysDept> teaCherDpetList = new ArrayList<>();

    public List <SysDept> getTeaCherDpetList() {
        return teaCherDpetList;
    }

    public void setTeaCherDpetList(List <SysDept> teaCherDpetList) {
        this.teaCherDpetList = teaCherDpetList;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getUpDownOper() {
        return upDownOper;
    }

    public void setUpDownOper(Long upDownOper) {
        this.upDownOper = upDownOper;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
